#
# spec file for package focuswriter
#
# Copyright (c) 2013 Graeme Gott <graeme@gottcode.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           focuswriter
Summary:        A fullscreen, distraction-free writing program
Version:        1.4.3
Release:        1%{?dist}
License:        GPL-3.0+
URL:            http://gottcode.org/%{name}/
Source:         %{name}-%{version}-src.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build

Group:          Applications/Editors
BuildRequires:  desktop-file-utils
BuildRequires:  enchant-devel
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libzip-devel
BuildRequires:  qt-devel >= 4.6

%description
A fullscreen, distraction-free writing program. You can customize your environment by changing the font, colors, and background image to add ambiance as you type. FocusWriter features an on-the-fly updating word count, optional auto-save, optional daily goals, and an interface that hides away to allow you to focus more clearly; additionally, when you open the program your current work-in-progress will automatically load and position you at the end of your document, so that you can immediately jump back in.

%prep
%setup -q -n %{name}-%{version}

%build
CXXFLAGS="%{optflags}" qmake-qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.xpm
%doc ChangeLog CREDITS README

%changelog
* Tue Apr 09 2013 Johnny Brinsko <tripgod@fuduntu.org> - 1.4.3-1
- Built for Fuduntu

* Sat Apr  6 2013 Graeme Gott <graeme@gottcode.org>
- version 1.4.3-1
- Update to 1.4.3
  - Fixed emergency cache for new files.
* Wed Mar 27 2013 Graeme Gott <graeme@gottcode.org>
- version 1.4.2-1
- Update to 1.4.2
  - Turkish translation updated
  - Bug fixes
  - Added support for Qt 5
* Thu Jan 24 2013 Graeme Gott <graeme@gottcode.org>
- version 1.4.1-7
- Improve spec file.
* Mon Jan 21 2013 Graeme Gott <graeme@gottcode.org>
- version 1.4.1-6
- Convert to Debian changefile.
* Mon Jan 21 2013 Graeme Gott <graeme@gottcode.org>
- version 1.4.1-5
- Fix version number in dsc file.
* Mon Jan 21 2013 Graeme Gott <graeme@gottcode.org>
- version 1.4.1-4
- Move changelog to changes file.
* Mon Jan 21 2013 Graeme Gott <graeme@gottcode.org>
- version 1.4.1-3
- Fix dsc format version.
* Mon Jan 21 2013 Graeme Gott <graeme@gottcode.org>
- version 1.4.1-2
- Add Debian packaging.
* Wed Nov 28 2012 Graeme Gott <graeme@gottcode.org>
- version 1.4.1-1
- Update to 1.4.1
* Sat Sep 22 2012 Graeme Gott <graeme@gottcode.org>
- version 1.4.0-1
- Update to 1.4.0
* Tue Jun 12 2012 Graeme Gott <graeme@gottcode.org>
- version 1.3.6-1
- Update to 1.3.6
* Mon Jan 16 2012 Graeme Gott <graeme@gottcode.org>
- version 1.3.5.2-1
- Update to 1.3.5.2
* Mon Dec  5 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.5.1-3
- Update MIME database and GNOME icon cache.
* Sun Dec  4 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.5.1-2
- Add scalable icon.
* Sun Dec  4 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.5.1-1
- Update to 1.3.5.1
* Fri Nov 11 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.5-4
- Add SLE support.
* Fri Nov 11 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.5-3
- Add CentOS support.
* Fri Nov 11 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.5-2
- Improve spec file.
* Wed Nov  9 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.5-1
- Update to 1.3.5
* Sun Oct 16 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.4-1
- Update to 1.3.4
* Mon Jun 27 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.3-1
- Update to 1.3.3
* Sat Apr  2 2011 Graeme Gott <graeme@gottcode.org>
- version 1.3.2.1-2
- Add dependency on hicolor-icon-theme.
* Wed Dec 29 2010 Graeme Gott <graeme@gottcode.org>
- version 1.3.2.1-1
- Update to 1.3.2.1
* Tue Dec 28 2010 Graeme Gott <graeme@gottcode.org>
- version 1.3.2-1
- Update to 1.3.2
* Thu Oct 28 2010 Graeme Gott <graeme@gottcode.org>
- version 1.3.1-1
- Update to 1.3.1
* Thu Sep 23 2010 Graeme Gott <graeme@gottcode.org>
- version 1.3.0-1
- Update to 1.3.0
* Wed Sep 22 2010 Graeme Gott <graeme@gottcode.org>
- version 1.2.2-1
- Initial package.
